<mat-grid-list class="login-bg" cols="4" rowHeight="100vh">
  <mat-grid-tile [colspan]="4">
    <mat-card>
      <mat-card-content>
        <mat-card-title align="center">Set New Password</mat-card-title>
        <p align="center">Get access to adlytic dashboard.</p>
        <form class="example-form" [formGroup]="form">
          <table class="full-width" cellspacing="0">
            <tr>
              <td>
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Password</mat-label>
                  <input matInput placeholder="Password" formControlName="password" type="password" name="password" required>
                  <mat-error *ngIf="form.get('password').hasError('required')">Password is required.</mat-error>
                  <mat-error *ngIf="form.get('password').hasError('pattern')">Enter valid password.</mat-error>
                  <mat-error *ngIf="form.get('password').hasError('minLength')">Password must contain 6 letters.</mat-error>
                  <mat-error *ngIf="form.get('password').hasError('maxLength')">Only 16 digits are allowed.</mat-error>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Confirm password</mat-label>
                  <input matInput placeholder="Confirm password" formControlName="confirm" type="password" name="confirm" required>
                  <mat-error *ngIf="form.get('confirm').hasError('required')">Password is required.</mat-error>
                  <mat-error *ngIf="form.get('confirm').hasError('pattern')">Enter valid password.</mat-error>
                  <mat-error *ngIf="form.get('confirm').hasError('minLength')">Password must contain 6 letters.</mat-error>
                  <mat-error *ngIf="form.get('confirm').hasError('maxLength')">Only 16 digits are allowed.</mat-error>
                  <mat-hint style="color:red;" *ngIf="form.get('confirm').value != form.get('password').value">Password missmatch.</mat-hint>
                </mat-form-field>
              </td>
            </tr>
          </table>
        </form>
        <div style="padding: 10px 0px;" *ngIf="showLoader">
          <mat-progress-bar mode="indeterminate"></mat-progress-bar>
        </div>
        <div style="padding: 10px 0px;" *ngIf="showError">
          <p style="margin: 0px; color:darkred;">{{errorMessage}}</p>
        </div>
        <div style="padding: 10px 0px;" *ngIf="showSuccess">
          <p style="margin: 0px; color:green;">{{successMessage}}</p>
        </div>
      </mat-card-content>
      <mat-card-footer style="margin:0px;">
        <div style="padding:16px 0px;">
          <button mat-button routerLink="/login" color="secondary">Go back to Sign in</button>
          <button mat-raised-button (click)="reset()" class="btn-black" style="float:right;" color="primary" [disabled]="form.status == 'INVALID' || form.get('confirm').value != form.get('password').value">Reset Password</button>
        </div>
      </mat-card-footer>
    </mat-card>
  </mat-grid-tile>
</mat-grid-list>